ALAS-2021-1508


Amazon Linux AMI Security Advisory: ALAS-2021-1508
Advisory Release Date: 2021-07-08 18:38 Pacific
Advisory Updated Date: 2021-07-12 21:48 Pacific
Severity: Important
References: CVE-2021-25215 

Issue Overview:

A flaw was found in bind. The way DNAME records are processed may trigger the same RRset to the ANSWER section to be added more than once which causes an assertion check to fail. The highest threat from this flaw is to system availability. (CVE-2021-25215)


Affected Packages:

bind


Issue Correction:
Run yum update bind to update your system.

New Packages:
i686:
    bind-chroot-9.8.2-0.68.rc1.87.amzn1.i686
    bind-devel-9.8.2-0.68.rc1.87.amzn1.i686
    bind-libs-9.8.2-0.68.rc1.87.amzn1.i686
    bind-sdb-9.8.2-0.68.rc1.87.amzn1.i686
    bind-debuginfo-9.8.2-0.68.rc1.87.amzn1.i686
    bind-9.8.2-0.68.rc1.87.amzn1.i686
    bind-utils-9.8.2-0.68.rc1.87.amzn1.i686

src:
    bind-9.8.2-0.68.rc1.87.amzn1.src

x86_64:
    bind-chroot-9.8.2-0.68.rc1.87.amzn1.x86_64
    bind-debuginfo-9.8.2-0.68.rc1.87.amzn1.x86_64
    bind-9.8.2-0.68.rc1.87.amzn1.x86_64
    bind-libs-9.8.2-0.68.rc1.87.amzn1.x86_64
    bind-sdb-9.8.2-0.68.rc1.87.amzn1.x86_64
    bind-devel-9.8.2-0.68.rc1.87.amzn1.x86_64
    bind-utils-9.8.2-0.68.rc1.87.amzn1.x86_64